package com.ruoyi.file.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public final class UploadForwardReq
{
    @NotBlank(message = "转发地址不能为空")
    private String requestUri;
    @NotBlank(message = "转发方式不能为空")
    private String method = "GET";
    @NotBlank(message = "转发类型不能为空")
    private String contentType = "application/json";
    @NotBlank(message = "转发数据不能为空")
    private String data;
    @NotBlank(message = "响应类型不能为空")
    private String responseContentType = "application/json";
}
