package com.ruoyi.file.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public final class PutFileReq
{
    @NotEmpty(message = "上传路径不能为空")
    private String path;
    private Integer ifExists;

    public boolean allowOverride()
    {
        return null != ifExists && ifExists == 2;
    }

    public boolean allowRename()
    {
        return null != ifExists && ifExists == 1;
    }
}
